# List orders Note: This feature is only available if you have the Order Metrics feature enabled. As of Zuora Billing Release 284, Orders is generally available and the Order Metrics feature is no longer available as a standalone feature. If you are an existing Subscribe and Amend customer and want Order Metrics only, you must turn on Orders Harmonization. You can still keep the existing Subscribe and Amend API integrations to create and manage subscriptions. Note: The Order Line Items feature is now generally available to all Zuora customers. You need to enable the Orders feature to access the Order Line Items feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on Orders will have the Order Line Items feature enabled by default. Retrieves information about all orders in your tenant. You can set the status query parameter to an order status to retrieve orders in that order status. If you do not set a value for this query parameter, the query parameter has a default value all, and orders of all statuses are returned. By default, it returns the first page of the orders. Endpoint: GET /v1/orders Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `dateFilterOption` (string) The date type to filter on. This field value can be orderDate or updatedDate. Default is orderDate. - `startDate` (string) The result will only contain the orders with the date of dateFilterOption later than or equal to this date. - `endDate` (string) The result will only contains orders with the date of dateFilterOption earlier than or equal to this date. - `status` (string) The status of orders. Enum: "all", "cancelled", "completed", "draft", "executing", "failed", "pending", "scheduled" ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `orders` (array) - `orders.category` (string) Category of the order to indicate a product sale or return. Default value is NewSales. Enum: "NewSales", "Return" - `orders.commitments` (array) A list of commitments. - `orders.commitments.commitmentNumber` (string) The commitment number. - `orders.commitments.id` (string) ID of the Commitment. - `orders.commitments.name` (string) The name of the commitment. - `orders.commitments.type` (string) The type of the commitment. Enum: "MinCommitment", "MaxCommitment" - `orders.commitments.description` (string) The description of the commitment. - `orders.commitments.priority` (integer) It defines the evaluation order of the commitment. The lower the number, the higher the priority. When two commitments have the same priority, the commitment that was created initially will be evaluated first. - `orders.commitments.customFields` (object) Container for custom fields of a Commitment object. - `orders.commitments.specificPeriodAlignmentDate` (string) The specific date for the period alignment. This field is required only if the periodAlignmentOption is set to SpecificDate. Example: "2020-01-15" - `orders.commitments.periodAlignmentOption` (string) Options for aligning the commitment periods within a commitment. Enum: "CommitmentStartDate", "SpecificDate" - `orders.commitments.schedules` (array) A list of Commitment schedule objects. - `orders.commitments.schedules.id` (string) The ID of the schedule. - `orders.commitments.schedules.startDate` (string) The start date of the schedule. - `orders.commitments.schedules.endDate` (string) The end date of the schedule. - `orders.commitments.schedules.totalAmount` (number) The total amount of the schedule. - `orders.commitments.schedules.amountBase` (string) The level for which the committed amount applies to. Enum: "CommitmentPeriod" - `orders.commitments.schedules.periodType` (string) The frequency type of the period of the commitment schedule. Enum: "Month", "Quarter", "SemiAnnual", "Year", "SpecificMonths", "SinglePeriod" - `orders.commitments.schedules.specificPeriodLength` (integer) The specific period length of each period in the schedule. - `orders.commitments.accountReceivableAccountingCode` (string) The accounting code on the Commitment object for customers. - `orders.commitments.adjustmentLiabilityAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.adjustmentRevenueAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.contractAssetAccountingCode` (string) The accounting code on the commitment for customers. Notes: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.contractLiabilityAccountingCode` (string) The accounting code on the commitment for customers. Notes: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.contractRecognizedRevenueAccountingCode` (string) The accounting code on the commitment for customers. Notes: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.deferredRevenueAccountingCode` (string) The deferred revenue accounting code for the commitment. - `orders.commitments.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude commitment related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.isAllocationEligible` (boolean) This field is used to identify if the commitment is allocation eligible in revenue recognition. Note: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.recognizedRevenueAccountingCode` (string) The recognized revenue accounting code for the commitment. - `orders.commitments.revenueAmortizationMethod` (string) This field is used to dictate the type of revenue amortization method. - `orders.commitments.revenueRecognitionRule` (string) The revenue recognition rule for the commitment. - `orders.commitments.revenueRecognitionTiming` (string) This field is used to dictate the type of revenue recognition timing. - `orders.commitments.unbilledReceivablesAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `orders.commitments.taxable` (boolean) The flag to indicate whether the charge is taxable. If this field is set to true, both the fields taxCode and taxMode are required. - `orders.commitments.taxCode` (string) The tax code of a charge. Note: This field is available when the taxable field is set to true. - `orders.commitments.taxMode` (string) The tax mode of a charge. This field is available when the taxable field is set to true. Enum: "TaxInclusive", "TaxExclusive" - `orders.commitments.version` (integer) Version of the commitment. - `orders.commitments.currency` (string) Currency of the commitment. - `orders.commitments.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude Commitment period from revenue accounting. - `orders.commitments.eligibleAccountConditions` (object) The conditions for account level filters for the commitment. - `orders.commitments.eligibleAccountConditions.field` (string) The field name of a single condition. - `orders.commitments.eligibleAccountConditions.operator` (string) The operator of a single condition. Example: - eq: equal, field = value - neq: not equal, field != value - gt: greater than, field > value - lt: less than, field = value - lte: less than or equal, field <= value - lk: like, field like value - in: in, field in value, multiple values are separated by commas - nl: null, field is null - nnl: not null, field is not null Enum: "eq", "neq", "gt", "lt", "gte", "lte", "lk", "in", "nl", "nnl" - `orders.commitments.eligibleAccountConditions.value` (string) The value of a single condition, which can be a list of values separated by commas. Notes: Account Condition only contains account related fields. Support is provided only for the indexed custom fields. - `orders.commitments.eligibleAccountConditions.conditions` (array) The conditions will be combined by the relation. - `orders.commitments.eligibleAccountConditions.relation` (string) The relation among the conditions. Enum: "and", "or" - `orders.commitments.eligibleChargeConditions` (object) The conditions for charge level filters for the commitment. - `orders.commitments.eligibleChargeConditions.operator` (string) The operator of a single condition. Example: - eq: equal, field = value - neq: not equal, field != value - gt: greater than, field > value - lt: less than, field = value - lte: less than or equal, field <= value - lk: like, field like value - in: in, field in value, multiple values are separated by commas - nl: null, field is null - nnl: not null, field is not null Enum: "eq", "neq", "gt", "lt", "gte", "lte", "lk", "in", "nl", "nnl" - `orders.commitments.eligibleChargeConditions.value` (string) The value of a single condition, which can be a list of values separated by commas. Notes: - PPDD (PrePaid DrawDown) charge will not be loaded during evaluation. - Charge condition only contains charge related fields. Support is provided only for the indexed custom fields. - Charge types supports only the OneTime, Recurring and Usage values. - Charge models supports only the FlatFee, PerUnit, Overage, Volume Tiered, TieredWithOverage, and Calculated values. - `orders.createdBy` (string) The ID of the user who created this order. - `orders.createdDate` (string) The time that the order gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `orders.currency` (string) Currency code. - `orders.customFields` (object) Container for custom fields of an Order object. - `orders.description` (string) A description of the order. - `orders.existingAccountNumber` (string) The account number that this order has been created under. - `orders.existingAccountDetails` (object) The account basic information that this order has been created under. - `orders.existingAccountDetails.basicInfo` (object) Container for basic information about the account. Notes: - In the "Retrieve an order" operation, if the getAccountDetails query parameter is set to true, the subscription owner account details subscriptionOwnerAccountDetails and invoice owner account details existingAccountDetails will be in the response. - In the "Retrieve a subscription by key" operation, the returned result differs based on the following query parameters: - If the getSubscriptionOwnerDetails query parameter is set to true, the subscription owner account details accountOwnerDetails will be in the response. - If the getInvoiceOwnerDetails query parameter is set to true, the invoice owner account details invoiceOwnerAccountDetails will be in the response. - If both query parameters are set to true, the subscription owner account details accountOwnerDetails and invoice owner account details invoiceOwnerAccountDetails will be in the response. - `orders.existingAccountDetails.basicInfo.accountNumber` (string) Account number. - `orders.existingAccountDetails.basicInfo.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `orders.existingAccountDetails.basicInfo.communicationProfileId` (string) The ID of the communication profile that this account is linked to. - `orders.existingAccountDetails.basicInfo.creditMemoTemplateId` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the credit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08a6246fdf101626b1b3fe0144b. - `orders.existingAccountDetails.basicInfo.crmId` (string) CRM account ID for the account, up to 100 characters. - `orders.existingAccountDetails.basicInfo.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `orders.existingAccountDetails.basicInfo.debitMemoTemplateId` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the debit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08d62470a8501626b19d24f19e2. - `orders.existingAccountDetails.basicInfo.id` (string) Account ID. - `orders.existingAccountDetails.basicInfo.invoiceTemplateId` (string,null) Invoice template ID, configured in Billing Settings in the Zuora UI. - `orders.existingAccountDetails.basicInfo.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you have the Reseller Account feature enabled, and set the partnerAccount field to false for an account, the value of the lastMetricsUpdate field is automatically set to null in the response. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `orders.existingAccountDetails.basicInfo.name` (string) Account name. - `orders.existingAccountDetails.basicInfo.notes` (string) Notes associated with the account, up to 65,535 characters. - `orders.existingAccountDetails.basicInfo.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `orders.existingAccountDetails.basicInfo.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `orders.existingAccountDetails.basicInfo.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `orders.existingAccountDetails.basicInfo.profileNumber` (string) The number of the communication profile that this account is linked to. - `orders.existingAccountDetails.basicInfo.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `orders.existingAccountDetails.basicInfo.salesRep` (string) The name of the sales representative associated with this account, if applicable. Maximum of 50 characters. - `orders.existingAccountDetails.basicInfo.sequenceSetId` (string,null) The ID of the billing document sequence set that is assigned to the customer account. - `orders.existingAccountDetails.basicInfo.summaryStatementTemplateId` (string,null) The summary statement template ID. When a user attempts to generate a summary statement from the "Account Summary Statement" screen, the system utilizes this template to produce the PDF. - `orders.existingAccountDetails.basicInfo.status` (string) Account status; possible values are: Active, Draft, Canceled. - `orders.existingAccountDetails.basicInfo.tags` (string) - `orders.existingAccountDetails.basicInfo.Class__NS` (string) Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.CustomerType__NS` (string) Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Company", "Individual" - `orders.existingAccountDetails.basicInfo.Department__NS` (string) Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.IntegrationStatus__NS` (string) Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.Location__NS` (string) Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.Subsidiary__NS` (string) Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.SyncDate__NS` (string) Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `orders.existingAccountDetails.basicInfo.SynctoNetSuite__NS` (string) Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `orders.existingAccountDetails.billToContact` (object) Container for bill-to contact information. - `orders.existingAccountDetails.billToContact.address1` (string) First address line, 255 characters or less. - `orders.existingAccountDetails.billToContact.address2` (string) Second address line, 255 characters or less. - `orders.existingAccountDetails.billToContact.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `orders.existingAccountDetails.billToContact.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `orders.existingAccountDetails.billToContact.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `orders.existingAccountDetails.billToContact.city` (string) City - `orders.existingAccountDetails.billToContact.country` (string,null) Full country name. This field does not contain the ISO-standard abbreviation of the country name. - `orders.existingAccountDetails.billToContact.county` (string,null) Zuora Tax uses this information to calculate county taxation. - `orders.existingAccountDetails.billToContact.fax` (string) Fax phone number, 40 characters or less. - `orders.existingAccountDetails.billToContact.firstName` (string) First name, 100 characters or less. - `orders.existingAccountDetails.billToContact.homePhone` (string) Home phone number, 40 characters or less. - `orders.existingAccountDetails.billToContact.id` (string) ID of the person to bill for the account, 32 characters or less. - `orders.existingAccountDetails.billToContact.lastName` (string) Last name, 100 characters or less. - `orders.existingAccountDetails.billToContact.mobilePhone` (string) Mobile phone number, 40 characters or less. - `orders.existingAccountDetails.billToContact.nickname` (string) Nickname for this contact. - `orders.existingAccountDetails.billToContact.otherPhone` (string,null) Other phone number, 40 characters or less. - `orders.existingAccountDetails.billToContact.otherPhoneType` (string,null) Possible values are: Work, Mobile, Home, Other. - `orders.existingAccountDetails.billToContact.personalEmail` (string) Personal email address. - `orders.existingAccountDetails.billToContact.state` (string) Full state name. This field does not contain the ISO-standard abbreviation of the state name. - `orders.existingAccountDetails.billToContact.taxRegion` (string,null) A region string, defined in your Zuora tax rules. - `orders.existingAccountDetails.billToContact.workEmail` (string) Work email address, 80 characters or less. - `orders.existingAccountDetails.billToContact.workPhone` (string) Work phone number, 40 characters or less. - `orders.existingAccountDetails.billToContact.zipCode` (string) Zip code, 20 characters or less. - `orders.invoiceScheduleId` (integer) The ID of the invoice schedule associated with the order. Note: This field is available only if you have the Billing Schedule feature enabled. - `orders.orderDate` (string) The date when the order is signed. All the order actions under this order will use this order date as the contract effective date if no additinal contractEffectiveDate is provided. - `orders.orderLineItems` (array) [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) are non subscription based items created by an Order, representing transactional charges such as one-time fees, physical goods, or professional service charges that are not sold as subscription services. With the Order Line Items feature enabled, you can now launch non-subscription and unified monetization business models in Zuora, in addition to subscription business models. Note: The [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature is now generally available to all Zuora customers. You need to enable the [Orders](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AA_Overview_of_Orders#Orders) feature to access the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) will have the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items) feature enabled by default. - `orders.orderLineItems.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `orders.orderLineItems.amount` (number) The calculated gross amount for the Order Line Item. - `orders.orderLineItems.amountWithoutTax` (number) The calculated gross amount for an order line item excluding tax. If the tax mode is tax exclusive, the value of this field equals that of the amount field. If the tax mode of an order line item is not set, the system treats it as tax exclusive by default. The value of the amountWithoutTax field equals that of the amount field. If you create an order line item from the product catalog, the tax mode and tax code of the product rate plan charge are used for the order line item by default. You can still overwrite this default set-up by setting the tax mode and tax code of the order line item. - `orders.orderLineItems.id` (string) The sytem generated Id for the Order Line Item. - `orders.orderLineItems.invoiceGroupNumber` (string,null) The number of the invoice group associated with the order line item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `orders.orderLineItems.sequenceSetId` (string,null) The ID of the sequence set associated with the order line item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `orders.orderLineItems.communicationProfileId` (string,null) The ID of the communication profile associated with the order line item. Note: This field is available in the request body only if you have the Flexible Billing Attributes feature turned on. The value is null in the response body without this feature turned on. - `orders.orderLineItems.paymentTerm` (string) The payment term name associated with the order line item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `orders.orderLineItems.invoiceTemplateId` (string) The ID of the invoice template associated with the order line item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `orders.orderLineItems.itemNumber` (string) The number for the Order Line Item. - `orders.orderLineItems.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `orders.orderLineItems.quantityFulfilled` (number) The quantity that has been fulfilled by fulfillments for the order line item. This field will be updated automatically when related fulfillments become 'SentToBilling' or 'Complete' state. - `orders.orderLineItems.quantityPendingFulfillment` (number) The quantity that's need to be fulfilled by fulfillments for the order line item. This field will be updated automatically when related fulfillments become 'SentToBilling' or 'Complete' state. - `orders.orderLineItems.UOM` (string) Specifies the units to measure usage. - `orders.orderLineItems.accountingCode` (string) The accounting code for the Order Line Item. - `orders.orderLineItems.adjustmentLiabilityAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `orders.orderLineItems.adjustmentRevenueAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `orders.orderLineItems.amountPerUnit` (number) The actual charged amount per unit for the Order Line Item. - `orders.orderLineItems.billTargetDate` (string) The target date for the Order Line Item to be picked up by bill run for billing. - `orders.orderLineItems.billTo` (string) The ID of the bill-to contact of an order line item. An existing contact under the billing account is specified as the bill-to contact of the order line item. The billing account is the order account. - `orders.orderLineItems.billToSnapshotId` (string) The snapshot of the ID for an account used as the bill-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The billToSnapshotId field is exposed while retrieving the order line item details. - `orders.orderLineItems.billingRule` (string) The billing rule of the Order Line Item. Enum: "TriggerWithoutFulfillment", "TriggerAsFulfillmentOccurs" - `orders.orderLineItems.contractAssetAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `orders.orderLineItems.contractLiabilityAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `orders.orderLineItems.contractRecognizedRevenueAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `orders.orderLineItems.currency` (string) The currency for the order line item. You can specify a currency when creating an order line item through the "Create an order" operation. - `orders.orderLineItems.customFields` (object) Container for custom fields of an Order Line Item object. - `orders.orderLineItems.deferredRevenueAccountingCode` (string) The deferred revenue accounting code for the Order Line Item. - `orders.orderLineItems.description` (string) The description of the Order Line Item. - `orders.orderLineItems.discount` (number) This field shows the total discount amount that is applied to an order line item after the inlineDiscountType, inlineDiscountPerUnit and quantity fields are set. The inline discount is applied to the list price of an order line item (see the listPrice field). - `orders.orderLineItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude Order Line Item related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orders.orderLineItems.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude Order Line Item from revenue accounting. Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orders.orderLineItems.inlineDiscountPerUnit` (number) This field is used in accordance with the inlineDiscountType field, in the following manner: * If the inlineDiscountType field is set as Percentage, this field specifies the discount percentage for each unit of the order line item. For exmaple, if you specify 5 in this field, the discount percentage is 5%. * If the inlineDiscountType field is set as FixedAmount, this field specifies the discount amount on each unit of the order line item. For exmaple, if you specify 10 in this field, the discount amount on each unit of the order line item is 10. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. - `orders.orderLineItems.inlineDiscountType` (string) This field is used to specify the inline discount type, which can be Percentage, FixedAmount, or None. The default value is Percentage. This field is used together with the inlineDiscountPerUnit field to specify inline discounts for order line items. The inline discount is applied to the list price of an order line item. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. Enum: "Percentage", "FixedAmount", "None" - `orders.orderLineItems.invoiceOwnerAccountId` (string) The account ID of the invoice owner of the order line item. - `orders.orderLineItems.invoiceOwnerAccountName` (string) The account name of the invoice owner of the order line item. - `orders.orderLineItems.invoiceOwnerAccountNumber` (string) The account number of the invoice owner of the order line item. - `orders.orderLineItems.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `orders.orderLineItems.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `orders.orderLineItems.itemCategory` (string) The category of the Order Line Item, to indicate a product sale or return. Enum: "Sales", "Return" - `orders.orderLineItems.itemName` (string) The name of the Order Line Item. - `orders.orderLineItems.itemState` (string) The state of an Order Line Item. See [State transitions for an order, order line item, and fulfillment](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AB_Order_Line_Item_States_and_Order_States) for more information. Enum: "Executing", "Booked", "SentToBilling", "Complete", "Cancelled" - `orders.orderLineItems.itemType` (string) The type of the Order Line Item. Enum: "Product", "Fee", "Services" - `orders.orderLineItems.listPrice` (number) The extended list price for an order line item, calculated by the formula: listPrice = listPricePerUnit * quantity - `orders.orderLineItems.listPricePerUnit` (number) The list price per unit for the Order Line Item. - `orders.orderLineItems.originalOrderId` (string) The ID of the original sale order for a return order line item. - `orders.orderLineItems.originalOrderLineItemId` (string) The ID of the original sale order line item for a return order line item. - `orders.orderLineItems.originalOrderLineItemNumber` (string) The number of the original sale order line item for a return order line item. - `orders.orderLineItems.originalOrderNumber` (string) The number of the original sale order for a return order line item. - `orders.orderLineItems.ownerAccountId` (string) The account ID of the owner of the order line item. - `orders.orderLineItems.ownerAccountName` (string) The account name of the owner of the order line item. - `orders.orderLineItems.ownerAccountNumber` (string) The account number of the owner of the order line item. - `orders.orderLineItems.productCode` (string) The product code for the Order Line Item. - `orders.orderLineItems.productRatePlanChargeId` (string) Id of a Product Rate Plan Charge. Only one-time charges are supported. - `orders.orderLineItems.purchaseOrderNumber` (string) Used by customers to specify the Purchase Order Number provided by the buyer. - `orders.orderLineItems.quantity` (number) The quantity of units, such as the number of authors in a hosted wiki service. - `orders.orderLineItems.quantityAvailableForReturn` (number) The quantity that can be returned for an order line item. - `orders.orderLineItems.recognizedRevenueAccountingCode` (string) The recognized revenue accounting code for the Order Line Item. - `orders.orderLineItems.relatedSubscriptionNumber` (string) Use this field to relate an order line item to a subscription when you create the order line item. * To relate an order line item to a new subscription which is yet to create in the same "Create an order" call, use this field in combination with the subscriptions > subscriptionNumber field in the "Create order" operation. Specify this field to the same value as that of the 'subscriptions' > subscriptionNumber field when you make the "Create order" call. * To relate an order line item to an existing subscription, specify this field to the subscription number of the existing subscription. - `orders.orderLineItems.requiresFulfillment` (boolean) The flag to show whether fulfillment is needed or not. It's derived from billing rule of the Order Line Item. - `orders.orderLineItems.revenueRecognitionRule` (string) The Revenue Recognition rule for the Order Line Item. - `orders.orderLineItems.revenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `orders.orderLineItems.revenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `orders.orderLineItems.shipTo` (string) The ID of a contact that belongs to the owner acount or billing account of the order line item. Use this field to assign an existing account as the ship-to contact of an order line item. The billing account is the order account. - `orders.orderLineItems.shipToSnapshotId` (string) The snapshot of the ID for an account used as the ship-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The shipToSnapshotId field is exposed while retrieving the order line item details. - `orders.orderLineItems.soldTo` (string) The ID of a contact that belongs to the owner acount or billing account of the order line item. Use this field to assign an existing account as the sold-to contact of an order line item. The billing account is the order account. - `orders.orderLineItems.soldToSnapshotId` (string) The snapshot of the ID for an account used as the sold-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The soldToSnapshotId field is exposed while retrieving the order line item details. - `orders.orderLineItems.taxCode` (string) The tax code for the Order Line Item. - `orders.orderLineItems.taxMode` (string) The tax mode for the Order Line Item. Enum: "TaxInclusive", "TaxExclusive" - `orders.orderLineItems.transactionEndDate` (string) The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the transactionStartDate field. - `orders.orderLineItems.transactionStartDate` (string) The date a transaction starts. The default value of this field is the order date. - `orders.orderLineItems.unbilledReceivablesAccountingCode` (string) The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration). - `orders.orderNumber` (string) The order number of the order. - `orders.reasonCode` (string) Values of reason code configured in Billing Settings > Configure Reason Codes through Zuora UI. Indicates the reason when a return order line item occurs. - `orders.schedulingOptions` (object) Information of scheduled order. - `orders.schedulingOptions.scheduledDate` (string) The date for the order scheduled. - `orders.schedulingOptions.scheduledDatePolicy` (string) Date policy of the scheduled order. Enum: "SpecificDate" - `orders.scheduledOrderActivationResponse` (object) Response information of orders. - `orders.scheduledOrderActivationResponse.processId` (string) The ID of the process that handles the operation. - `orders.scheduledOrderActivationResponse.reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `orders.scheduledOrderActivationResponse.reasons.code` (string) The error code of response. - `orders.scheduledOrderActivationResponse.reasons.message` (string) The detail information of the error response - `orders.scheduledOrderActivationResponse.requestId` (string) Unique identifier of the request. - `orders.scheduledOrderActivationResponse.success` (boolean) Indicates whether the call succeeded. - `orders.scheduledOrderActivationResponse.accountId` (string) The account ID for the order. This field is returned instead of the accountNumber field if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.accountNumber` (string) The account number for the order. - `orders.scheduledOrderActivationResponse.commitments` (array) The commitments created by this order request. - `orders.scheduledOrderActivationResponse.commitments.id` (string) ID of the commitment - `orders.scheduledOrderActivationResponse.commitments.commitmentNumber` (string) Number of the commitment. - `orders.scheduledOrderActivationResponse.commitments.startDate` (string) The start date of the commitment. - `orders.scheduledOrderActivationResponse.commitments.endDate` (string) The end date of the commitment. - `orders.scheduledOrderActivationResponse.commitments.status` (string) The status of the commitment. Enum: "Canceled", "Active" - `orders.scheduledOrderActivationResponse.commitments.totalAmount` (number) The total amount of the commitment. - `orders.scheduledOrderActivationResponse.creditMemoIds` (array) An array of the credit memo IDs generated in this order request. The credit memo is only available if you have the Invoice Settlement feature enabled. This field is returned instead of the creditMemoNumbers field if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.creditMemoNumbers` (array) An array of the credit memo numbers generated in this order request. The credit memo is only available if you have the Invoice Settlement feature enabled. - `orders.scheduledOrderActivationResponse.invoiceIds` (array) An array of the invoice IDs generated in this order request. Normally it includes one invoice ID only, but can include multiple items when a subscription was tagged as invoice separately. This field is returned instead of the invoiceNumbers field if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.invoiceNumbers` (array) An array of the invoice numbers generated in this order request. Normally it includes one invoice number only, but can include multiple items when a subscription was tagged as invoice separately. - `orders.scheduledOrderActivationResponse.orderId` (string) The ID of the order created. This field is returned instead of the orderNumber field if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.orderNumber` (string) The order number of the order created. - `orders.scheduledOrderActivationResponse.paidAmount` (string) The total amount collected in this order request. - `orders.scheduledOrderActivationResponse.paymentId` (string) The payment Id that is collected in this order request. This field is returned instead of the paymentNumber field if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.paymentNumber` (string) The payment number that is collected in this order request. - `orders.scheduledOrderActivationResponse.ramps` (array) Note: This field is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature must be enabled before you can access the [Ramps](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Ramps_and_Ramp_Metrics/A_Overview_of_Ramps_and_Ramp_Metrics) feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information coming October 2020. The ramp definitions created by this order request. - `orders.scheduledOrderActivationResponse.ramps.rampNumber` (string) The number of the ramp definition. - `orders.scheduledOrderActivationResponse.ramps.subscriptionNumber` (string) The number of the subscription that this ramp deal definition is applied to. - `orders.scheduledOrderActivationResponse.refunds` (array) Container for refunds. - `orders.scheduledOrderActivationResponse.refunds.number` (string) The refund number. Example: "R-00009564" - `orders.scheduledOrderActivationResponse.refunds.refundInvoiceNumbers` (array) An array of the refunded invoice numbers generated in this order request. - `orders.scheduledOrderActivationResponse.refunds.status` (string) The status of the refund. Enum: "Success", "Error" - `orders.scheduledOrderActivationResponse.status` (string) Status of the order. Pending is only applicable for an order that contains a CreateSubscription order action. Enum: "Draft", "Pending", "Completed", "Scheduled" - `orders.scheduledOrderActivationResponse.subscriptionIds` (array) Container for the subscription IDs of the subscriptions in an order. This field is returned if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.subscriptions` (array) This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 223.0 or a later available version. To use this field in the method, you must set the Zuora-Version parameter to the minor version number in the request header. Container for the subscription numbers and statuses in an order. - `orders.scheduledOrderActivationResponse.subscriptions.status` (string) Status of the subscription. Pending Activation and Pending Acceptance are only applicable for an order that contains a CreateSubscription order action. Enum: "Active", "Pending Activation", "Pending Acceptance", "Cancelled", "Suspended" - `orders.scheduledOrderActivationResponse.subscriptions.subscriptionId` (string) Subscription ID of the subscription included in this order. This field is returned instead of the subscriptionNumber field if the returnIds query parameter is set to true. - `orders.scheduledOrderActivationResponse.subscriptions.subscriptionNumber` (string) Subscription number of the subscription included in this order. - `orders.scheduledOrderActivationResponse.subscriptions.subscriptionOwnerId` (string) Subscription owner account id of the subscription. - `orders.scheduledOrderActivationResponse.subscriptions.subscriptionOwnerNumber` (string) Subscription owner account number of the subscription. - `orders.scheduledOrderActivationResponse.writeOff` (array) Container for write-offs. - `orders.scheduledOrderActivationResponse.writeOff.amount` (number) The amount written off from the invoice balance. - `orders.scheduledOrderActivationResponse.writeOff.failedReason` (string) The reason of write-off failure. - `orders.scheduledOrderActivationResponse.writeOff.invoiceNumber` (string) The number of the invoice that is written off. Example: "INV00051208" - `orders.scheduledOrderActivationResponse.writeOff.status` (string) The status of the write-off. Enum: "Success", "Failed" - `orders.scheduledOrderActivationResponse.writeOff.writeOffCreditMemoNumber` (string) The number of the credit memo that is written off. - `orders.status` (string) The status of the order. If the order contains any Pending Activation or Pending Acceptance subscription, the order status will be Pending; If the order is in draft status, the order status will be Draft; otherwise the order status is Completed. The available order statuses are as follow: - Draft: The order is in draft status. - Pending: The order is in pending status. - Completed: The order is in completed status. - Cancelled: The draft or scheduled order is cancelled. - Scheduled: The order is in scheduled status and it is only valid if the Scheduled Orders feature is enabled. - Executing: The scheduled order is executed by a scheduler and it is only valid if the Scheduled Orders feature is enabled. - Failed: The scheduled order has failed. - Reverted: The order is reverted. This status is only available to the orders that include single version subscriptions. See Single Version Subscription. Enum: "Draft", "Pending", "Completed", "Cancelled", "Scheduled", "Executing", "Failed", "Reverted" - `orders.subscriptions` (array) Represents a processed subscription, including the origin request (order actions) that create this version of subscription and the processing result (order metrics). The reference part in the request will be overridden with the info in the new subscription version. - `orders.subscriptions.baseVersion` (integer) The base version of the subscription. - `orders.subscriptions.customFields` (object) Container for custom fields of a Subscription object. - `orders.subscriptions.externallyManagedBy` (string,null) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `orders.subscriptions.newVersion` (integer) The latest version of the subscription. - `orders.subscriptions.notes` (string) Notes about the subscription. - `orders.subscriptions.orderActions` (array) - `orders.subscriptions.orderActions.addProduct` (object) Rate plan associated with a subscription. - `orders.subscriptions.orderActions.addProduct.chargeOverrides` (array) List of charges associated with the rate plan. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.accountReceivableAccountingCode` (string) The accountReceivableAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders, Zuora Finance, and Invoice Settlement features are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.adjustmentLiabilityAccountingCode` (string) The adjustmentLiabilityAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders feature and the Billing - Revenue Integration or Order to Revenue feature are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.adjustmentRevenueAccountingCode` (string) The adjustmentRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders feature and the Billing - Revenue Integration or Order to Revenue feature are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing` (object) Billing information about the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.billCycleDay` (integer) Day of the month that each billing period begins on. Only applicable if the value of the billCycleType field is SpecificDayofMonth. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.billCycleType` (string) Specifies how Zuora determines the day that each billing period begins on. * DefaultFromCustomer - Each billing period begins on the bill cycle day of the account that owns the subscription. * SpecificDayofMonth - Use the billCycleDay field to specify the day of the month that each billing period begins on. * SubscriptionStartDay - Each billing period begins on the same day of the month as the start date of the subscription. * ChargeTriggerDay - Each billing period begins on the same day of the month as the date when the charge becomes active. * SpecificDayofWeek - Use the weeklyBillCycleDay field to specify the day of the week that each billing period begins on. Enum: "DefaultFromCustomer", "SpecificDayofMonth", "SubscriptionStartDay", "ChargeTriggerDay", "SpecificDayofWeek" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.billingPeriod` (string) Billing frequency of the charge. The value of this field controls the duration of each billing period. If the value of this field is Specific_Days, Specific_Months or Specific_Weeks, use the specificBillingPeriod field to specify the duration of each billing period. Enum: "Month", "Quarter", "Semi_Annual", "Annual", "Eighteen_Months", "Two_Years", "Three_Years", "Five_Years", "Specific_Months", "Subscription_Term", "Week", "Specific_Weeks", "Specific_Days" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.billingPeriodAlignment` (string) Specifies how Zuora determines when to start new billing periods. You can use this field to align the billing periods of different charges. * AlignToCharge - Zuora starts a new billing period on the first billing day that falls on or after the date when the charge becomes active. * AlignToSubscriptionStart - Zuora starts a new billing period on the first billing day that falls on or after the start date of the subscription. * AlignToTermStart - For each term of the subscription, Zuora starts a new billing period on the first billing day that falls on or after the start date of the term. See the billCycleType field for information about how Zuora determines the billing day. Note: This field is not supported in one time charges. Enum: "AlignToCharge", "AlignToSubscriptionStart", "AlignToTermStart" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.billingTiming` (string) Specifies whether to invoice for a billing period on the first day of the billing period (billing in advance) or the first day of the next billing period (billing in arrears). Enum: "IN_ADVANCE", "IN_ARREARS" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.specificBillingPeriod` (integer) Duration of each billing period in months or weeks, depending on the value of the billingPeriod field. Only applicable if the value of the billingPeriod field is Specific_Months or Specific_Weeks. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.billing.weeklyBillCycleDay` (string) Day of the week that each billing period begins on. Only applicable if the value of the billCycleType field is SpecificDayofWeek. Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.chargeFunction` (string) Note: This field is only available if you have both the Prepaid with Drawdown and Standalone Orders features enabled. With this field, you can use a standalone order to subscribe to a minimum commitment subscription. This field defines what type of charge it is: * CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge. * CreditCommitment: For usage charges. Credit to minimum commitment funds. Enum: "CommitmentTrueUp", "CreditCommitment" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.commitmentType` (string) Note: This field is only available if you have both the Prepaid with Drawdown and Standalone Orders features enabled. With this field, you can use a standalone order to subscribe to a minimum commitment subscription. This field defines the type of the commitment for both the commitment true-up charge and credit commitment charge, and so you must define the type as CURRENCY. Enum: "CURRENCY" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.creditOption` (string) Note: This field is only available if you have both the Minimum Commitment and Standalone Orders features enabled. With this field, you can use a standalone order to subscribe to a minimum commitment subscription. This field defines the way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.chargeModel` (string) The chargeModel of a standalone charge. Supported charge models: * FlatFee * PerUnit * Volume * Tiered * DiscountFixedAmount * DiscountPercentage Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.chargeNumber` (string) Charge number of the charge. For example, C-00000307. * If you do not set this field, Zuora will generate a charge number starting with a default prefix, for example, C-. This default prefix is predefined in Billing Settings > Define Default Subscription and Order Settings. * If you want to use a custom charge number, do not use the default prefix predefined in Billing Settings > Define Default Subscription and Order Settings. Use your own prefix, for example, SC-. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.chargeType` (string) The chargeType of a standalone charge. Supported charge types: * OneTime * Recurring * Usage Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.contractAssetAccountingCode` (string) The contractAssetAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders feature and the Billing - Revenue Integration or Order to Revenue feature are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.contractLiabilityAccountingCode` (string) The contractLiabilityAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders feature and the Billing - Revenue Integration or Order to Revenue feature are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.contractRecognizedRevenueAccountingCode` (string) The contractRecognizedRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders feature and the Billing - Revenue Integration or Order to Revenue feature are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.customFields` (object) Container for custom fields of a Rate Plan Charge object. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.deferredRevenueAccountingCode` (string) The deferredRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.description` (string) Description of the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.drawdownRate` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `orders.subscriptions.orderActions.addProduct.chargeOverrides.endDate` (object) Specifies when a charge becomes inactive. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.endDate.endDateCondition` (string) Condition for the charge to become inactive. - If the value of this field is Fixed_Period, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. - If the value of this field is Specific_End_Date, use the specificEndDate field to specify the date when the charge becomes inactive. Enum: "Subscription_End", "Fixed_Period", "Specific_End_Date" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.endDate.endDatePolicy` (string) End date policy of the discount charge to become active when the Apply to billing period partially checkbox is selected from the product catalog UI or the applyToBillingPeriodPartially field is set as true from the "CRUD: Create a product rate plan charge" operation. - If the value of this field is FixedPeriod, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. - If the value of this field is SpecificEndDate, use the specificEndDate field to specify the date when the charge becomes inactive. Notes: - You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - You can use either endDateCondition or endDatePolicy to define when a discount charge ends, but not both at the same time. Enum: "AlignToApplyToCharge", "SpecificEndDate", "FixedPeriod" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.endDate.specificEndDate` (string) Date in YYYY-MM-DD format. Only applicable if the value of the endDateCondition field is Specific_End_Date. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.endDate.upToPeriods` (integer) Duration of the charge in billing periods, days, weeks, months, or years, depending on the value of the upToPeriodsType field. Only applicable if the value of the endDateCondition field is Fixed_Period. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.endDate.upToPeriodsType` (string) Unit of time that the charge duration is measured in. Only applicable if the value of the endDateCondition field is Fixed_Period. Enum: "Billing_Periods", "Days", "Weeks", "Months", "Years" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.estimatedStartDate` (string) The estimated start date of the pending charge in an active subscription. The value must be a date within the subscription term. The system will then automatically calculate the estimated end date for the pending charge. The estimated start and end dates are used to manage the estimated charge duration and forecast the revenue for the pending charge. Note: This field is available only when the Pending Subscription Processing feature is turned on. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBillingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. In addition, if the excludeItemBookingFromRevenueAccounting field in an Create Subscription or Add Product order action is set to false, you must also set the excludeItemBillingFromRevenueAccounting field in this order action to false. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBookingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.isRollover` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The value is either "True" or "False". It determines whether the rollover fields are needed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.name` (string) The name of a standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.negotiatedPriceTable` (array) Array of negotiated price table rate card entries in the order request. Note: To enable the Negotiated Price Table feature, submit a request to Zuora Global Support. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.negotiatedPriceTable.items` (object) The rate card entry object. Note: For more information, refer to the rate card definition in the product catalog. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pobPolicy` (string) The pobPolicy of a standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.prepaidQuantity` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The number of units included in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Must be a positive number (>0). - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing` (object) Pricing information about the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData` (object) Container for charge model configuration data. Note: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. The High Water Mark and Pre-Rated Pricing charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration` (object) - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration.customFieldPerUnitRate` (string) The custom field that carries the per-unit rate for each usage record. For example, perUnitAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration.customFieldTotalAmount` (string) The custom field that carries the total amount to charge for a usage record. For example, totalAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.chargeModelConfiguration.formula` (string) The pricing formula to calculate actual rating amount. This field is only available for charges that use the Multi-Attribute Pricing charge model. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.quantity` (number) Number of units purchased. This field is used if the Multi-Attribute Pricing formula uses the quantity() function. This field is only available for one-time and recurring charges that use the Multi-Attribute Pricing charge model. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers` (array) List of cumulative pricing tiers in the charge. Note: When you override the tiers of a usage-based charge using High Water Mark Pricing charge model, you have to provide all of the tiers, including the ones you do not want to change. The new tiers will completely override the previous ones. The High Water Mark Pricing charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.endingUnit` (number) Limit on the number of units for which the tier is effective. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.originalListPrice` (number) The original list price is the price of a product or service at which it is listed for sale by a manufacturer or retailer. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.price` (number, required) Price or per-unit price of the tier, depending on the value of the priceFormat field. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.priceFormat` (string, required) Specifies whether the tier has a fixed price or a per-unit price. Enum: "FlatFee", "PerUnit" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.startingUnit` (number, required) Number of units at which the tier becomes effective. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.chargeModelData.tiers.tier` (integer, required) Index of the tier in the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount` (object) Pricing information about a discount charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.applyDiscountTo` (string) Specifies which type of charge the discount charge applies to. Enum: "ONETIME", "RECURRING", "USAGE", "ONETIMERECURRING", "ONETIMEUSAGE", "RECURRINGUSAGE", "ONETIMERECURRINGUSAGE" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.applyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountAmount` (number) Only applicable if the discount charge is a fixed-amount discount. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountApplyDetails` (array) Charge list of discount be applied to. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountApplyDetails.productRatePlanChargeId` (string, required) Product Rate Plan Charge Id of the discount apply to. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountApplyDetails.productRatePlanId` (string, required) Product Rate Plan Id of the discount apply to. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountClass` (string) The discount class defines the sequence in which discount product rate plan charges are applied. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountLevel` (string) Application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.discountPercentage` (number) Only applicable if the discount charge is a percentage discount. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.originalDiscountAmount` (number) The manufacturer's suggested retail discount price for standalone charge. Only applicable if the standalone discount charge is a fixed-amount discount. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.originalDiscountPercentage` (number) The manufacturer's suggested retail discount percentage for standalone charge. Only applicable if the standalone discount charge is a percentage discount. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.discount.priceChangeOption` (string) Specifies how Zuora changes the price of the charge each time the subscription renews. Enum: "NoChange", "UseLatestProductCatalogPricing" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimeFlatFee` (object) Pricing information about a one-time charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimeFlatFee.listPrice` (number, required) Price of the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit` (object) Pricing information about a one-time charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit.listPrice` (number) Per-unit price of the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit.quantity` (number) Number of units purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimePerUnit.uom` (number) Unit of measure of the standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimeTiered` (object) Pricing information about a one-time charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimeTiered.tiers` (array) List of cumulative pricing tiers in the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimeVolume` (object) Pricing information about a one-time charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.oneTimeVolume.tiers` (array) List of variable pricing tiers in the charge. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery` (object) Pricing information about a recurring charge that uses the Delivery Pricing charge model. In this charge model, the charge has a fixed price. This field is only available if you have the Delivery Pricing charge model enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.priceChangeOption` (string) Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is SpecificPercentageValue, use the priceIncreasePercentage field to specify how much the price of the charge should change. Enum: "NoChange", "SpecificPercentageValue", "UseLatestProductCatalogPricing" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.priceIncreasePercentage` (number) Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the priceChangeOption field is SpecificPercentageValue. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule` (object) - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.frequency` (string) Specifies the frequency for delivery schedule Enum: "Weekly" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.friday` (boolean) Indicates whether delivery on friday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.monday` (boolean) Indicates whether delivery on monday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.saturday` (boolean) Indicates whether delivery on saturday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.sunday` (boolean) Indicates whether delivery on sunday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.thursday` (boolean) Indicates whether delivery on thursday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.tuesday` (boolean) Indicates whether delivery on tuesday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.deliverySchedule.wednesday` (boolean) Indicates whether delivery on wednesday. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringDelivery.listPrice` (number) Price of the charge in each recurring period. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringFlatFee` (object) Pricing information about a recurring charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringFlatFee.listPriceBase` (string) Specifies the duration of each recurring period. Enum: "Per_Billing_Period", "Per_Month", "Per_Week", "Per_Year", "Per_Specific_Months" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringFlatFee.specificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the listPriceBase field to Per_Specific_Months. Note: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringPerUnit` (object) Pricing information about a recurring charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringPerUnit.listPrice` (number) Per-unit price of the charge in each recurring period. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringTiered` (object) Pricing information about a recurring charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.recurringVolume` (object) Pricing information about a recurring charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageFlatFee` (object) Pricing information about a usage charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageOverage` (object) Pricing information about a usage charge that uses the "overage" charge model. In this charge model, the charge has an allowance of free units and a fixed price per additional unit consumed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageOverage.includedUnits` (number) Number of free units that may be consumed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageOverage.numberOfPeriods` (integer) Number of periods that Zuora considers when calculating overage charges with overage smoothing. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageOverage.overagePrice` (number) Price per overage unit consumed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageOverage.overageUnusedUnitsCreditOption` (string) Specifies whether to credit the customer for unused units. If the value of this field is CreditBySpecificRate, use the unusedUnitsCreditRates field to specify the rate at which to credit the customer for unused units. Enum: "NoCredit", "CreditBySpecificRate" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageOverage.unusedUnitsCreditRates` (number) Per-unit rate at which to credit the customer for unused units. Only applicable if the value of the overageUnusedUnitsCreditOption field is CreditBySpecificRate. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usagePerUnit` (object) Pricing information about a usage charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit consumed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usagePerUnit.ratingGroup` (string) Specifies how Zuora groups usage records when rating usage. See [Usage Rating by Group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group) for more information. * ByBillingPeriod (default): The rating is based on all the usages in a billing period. * ByUsageStartDate: The rating is based on all the usages on the same usage start date. * ByUsageRecord: The rating is based on each usage record. * ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). If you import a mass usage in a single upload, which contains multiple usage files in .xls or .csv format, usage records are grouped for each usage file. Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageTiered` (object) Pricing information about a usage charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageTieredWithOverage` (object) Pricing information about a usage charge that uses the "tiered with overage" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. The charge also has a fixed price per unit consumed beyond the limit of the final tier. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricing.usageVolume` (object) Pricing information about a usage charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are consumed. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.pricingAttributes` (object) Container for pricing attribute and value in the order request. Note: To enable Dynamic Pricing, submit a request to Zuora Global Support. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.productCategory` (string) The productCategory of a standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.productClass` (string) The productClass of a standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.productFamily` (string) The productFamily of a standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.productLine` (string) The productLine of a standalone charge. Note: This field is available when the Standalone Orders feature is enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.productRatePlanChargeNumber` (string) Number of a product rate-plan charge for this subscription. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.productRateplanChargeId` (string, required) Internal identifier of the product rate plan charge that the charge is based on. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.prorationOption` (string) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Usage charge proration and Charge level proration option for a recurring charge. You can use this field to specify the charge-level proration option for a usage charge or recurring charge when you creating or adding a subscription rate plan charge through an order. The tenant-level proration option will be overridden. * NoProration: charge-level proration option that you can set for a usage charge. This option means to not use any proration, which is the default current system behavior for a usage charge. * TimeBasedProration: charge-level proration option that you can set for a usage charge. This option means to prorate the usage charge amount using the actual number of days if the billing period is a partial period. * DefaultFromTenantSetting: charge-level proration option that you can set for a recurring charge. This option means to follow the customer billing rule proration setting. * ChargeFullPeriod: charge-level proration option that you can set for a recurring charge. This options means to charge the full period amount for a partial billing period. Note that this setting means that there is no proration for either collecting or refunding. Even if you cancel the recurring charge in the middle of a billing period, there is no refund for this billing period. * CustomizeProrationOptionOverrides: charge-level proration option that you can set for a recurring charge. This option means to use the customized charge proration settings that is specified by the ratingPropertiesOverride field. Enum: "NoProration", "TimeBasedProration", "DefaultFromTenantSetting", "ChargeFullPeriod", "CustomizeProrationOptionOverrides" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.ratingPropertiesOverride` (object) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Charge level proration option for a recurring charge. This field is used only when the value of the prorationOption field is set to CustomizeProrationOptionOverrides. Use this field to specify more customized proration options for a recurring charge when you creating or adding a subscription rate plan charge through an order. The tenant-level proration option will be overridden. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.ratingPropertiesOverride.isProratePartialMonth` (boolean) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Charge level proration option for a recurring charge. Use this field to specify whether to prorate the recurring charge for a partial month. The tenant-level proration option will be overridden. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.ratingPropertiesOverride.prorationUnit` (string) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Charge level proration option for a recurring charge. Use this field to specify the unit of proration for a recurring charge. The tenant-level proration option will be overridden. Enum: "ProrateByDay", "ProrateByMonthFirst" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.ratingPropertiesOverride.daysInMonth` (string) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Charge level proration option for a recurring charge. Use this field to specify the number of days counted for a month when prorating a recurring charge. The tenant-level proration option will be overridden. See more details for each of the following enum values in Proration. Enum: "UseActualDays", "Assume30Days", "Assume30DaysStrict" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.recognizedRevenueAccountingCode` (string) The recognizedRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.revRecCode` (string) Revenue Recognition Code - `orders.subscriptions.orderActions.addProduct.chargeOverrides.revRecTriggerCondition` (string) Specifies the revenue recognition trigger condition. * Contract Effective Date * Service Activation Date * Customer Acceptance Date Enum: "Contract Effective Date", "Service Activation Date", "Customer Acceptance Date" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.revenueRecognitionRuleName` (string) Specifies the revenue recognition rule, such as Recognize upon invoicing or Recognize daily over time. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.rolloverApply` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the priority of rollover, which is either first or last. Enum: "ApplyFirst", "ApplyLast" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.rolloverPeriodLength` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Use this field when you want to set the rollover fund's period length shorter than the prepayment charge's validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund's period length as 5 months, shorter than the prepayment charge's validity period: a year. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.rolloverPeriods` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the number of rollover periods, it is restricted to 3. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.startDate` (object) Specifies when a charge becomes active. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.startDate.periodsAfterChargeStart` (integer) Duration of the discount charge in days, weeks, months, or years, depending on the value of the startPeriodsType field. Only applicable if the value of the startDatePolicy field is FixedPeriodAfterApplyToChargeStartDate. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `orders.subscriptions.orderActions.addProduct.chargeOverrides.startDate.specificTriggerDate` (string) Date in YYYY-MM-DD format. Only applicable if the value of the triggerEvent field is SpecificDate. While this field is applicable, if this field is not set, your CreateSubscription order action creates a Pending order and a Pending Acceptance subscription. If at the same time the service activation date is required and not set, a Pending Activation subscription is created. While this field is applicable, if this field is not set, the following order actions create a Pending order but do not impact the subscription status. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). * AddProduct * UpdateProduct * RemoveProduct * RenewSubscription * TermsAndConditions - `orders.subscriptions.orderActions.addProduct.chargeOverrides.startDate.startDatePolicy` (string) Start date policy of the discount charge to become active when the Apply to billing period partially checkbox is selected from the product catalog UI or the applyToBillingPeriodPartially field is set as true from the "CRUD: Create a product rate plan charge" operation. - If the value of this field is SpecificDate, use the specificTriggerDate field to specify the date when the charge becomes active. - If the value of this field is FixedPeriodAfterApplyToChargeStartDate, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. Notes: - You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - You can use either triggerEvent or startDatePolicy to define when a discount charge starts, but not both at the same time. Enum: "AlignToApplyToCharge", "SpecificDate", "EndOfLastInvoicePeriodOfApplyToCharge", "FixedPeriodAfterApplyToChargeStartDate" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.startDate.startPeriodsType` (string) Unit of time that the discount charge duration is measured in. Only applicable if the value of the startDatePolicy field is FixedPeriodAfterApplyToChargeStartDate. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. Enum: "Days", "Weeks", "Months", "Years" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.startDate.triggerEvent` (string) Condition for the charge to become active. If the value of this field is SpecificDate, use the specificTriggerDate field to specify the date when the charge becomes active. Enum: "ContractEffective", "ServiceActivation", "CustomerAcceptance", "SpecificDate" - `orders.subscriptions.orderActions.addProduct.chargeOverrides.taxCode` (st
[...]
